# 1.5.0
 - Fixed: `EOSExt_Reactor` cannot build reactor terminal unique commands.
 - Added: `ObjectiveCounter`. It's a custom counter that you could increment, decrement. If the counter reached a certain number, warden events could be executed.
 - Updated documentation accordingly.

# 1.4.6 [Bug fix]
 - Fixed: `EventsOnBossDeath` with limited execution times is not state-synced.

# 1.4.5 [Bug fix]
 - Fixed: `Position` property of `WardenObjectiveEventData` is not handled properly
 - Fixed: `EventsOnBossDeath` is executed in an undesired scenario.
 - Fixed (vanilla bug): powercells inserted to generators could be teleported if, in `ItemDatablock`, `DimensionWarpType` of `Power Cell` (persistent id 131) is configured to be warpable.
 - FloLib: removed a specific Debug message.

# 1.4.4
 - Bug fix: fixed an issue that impedes state-sync.

# 1.4.3
 - [EMP]: removed, and made as a standalone plugin.
 - [Uplink]: fixing (need test) - completed uplink is not reset properly after restoring from checkpoint if it is not completed before reaching checkpoint

# 1.4.2 [Bug fix]
  - [EMP]: Fixed - EMP-ed behaviours of Biotracker, PlayerFlashLight and PlayerHud is not working properly.
  - [ActivateSmallHSU]: Fixed - `EventsOnActivationScanSolved` is not executed on client side.
 
# 1.4.0
  - Added [EMP] events (decoupled from EEC) 
  - Added feature [Persistent_EMP] to `ExtraExpeditionSettings` 
  - Updated documentation accordingly.
  - Added documentation for implemented-but-undocumented features in `ExtraExpeditionSettings`. 

# 1.3.3
  - EOSExt.Reactor compatibility check.

# 1.3.2
  - Miscellaneous bug fix.

# 1.2.2
  - AWO compatibility check.

# 1.2.1
- Improved feature `EventsOnZoneBossDeath`:
  - Now boss death events could be applied to wave bosses as well.
  - More configurable options.
  - Updated documentation accordingly.

# 1.2.0 
- Added features `EventsOnZoneScoutScream`, `EventsOnZoneBossDeath`.
- Updated wiki for `Uplink Terminal`, and the new features.
- Compatibility Issue Note `AWO`: 
  - When `AWO` is installed, events specified in the config file of this plugin would _probably_ be 'skipped' (technically speak, event type will be turned to `None`, for some reasons...). 
  - Make sure to test if your warden events defined in the configs are executed as expected.

# 1.1.0 & 1.1.1
Now supports AWO Events (Don't forget to install AWO)! 

# 1.0.0
Initial release